/* FONT */

body {
  margin: 0;
  box-sizing: border-box;
  font-family: "Raleway", sans-serif;
}

#main {
  margin: 0 50px 50px;
}

ul {
  list-style-type: none;
  padding: 0;
  margin: 0;
}

a {
  text-decoration: none;
  color: inherit;
}

h2 {
  font-weight: bold;
  font-size: large;
}

h3 {
  font-weight: bold;
}

.flex {
  display: flex;
}

.euros {
  font-weight: bold;
}

/* HEADER */

header {
  justify-content: space-between;
  margin-bottom: 35px;
}

.logo {
  margin-top: 30px;
  flex: 1;
}

nav li {
  padding-top: 40px;
}

nav a {
  padding: 40px 30px 0;
}

.signUp {
  color: #0065fc;
  font-weight: bold;
  padding: 40px 40px 0;
}

nav li a:hover {
  color: #0065fc;
  border-top: 2px solid #0065fc;
  padding-top: 38px;
}

/* SEARCH */

.search {
  margin-bottom: 30px;
}

.search h2 {
  margin-bottom: 10px;
}

.search p {
  margin-top: 10px;
}

.searchBar {
  display: flex;
  margin-top: 20px;
  margin-bottom: 30px;
  height: 50px;
}

.marker {
  display: flex;
  background-color: #f2f2f2;
  border-radius: 15px 0 0 15px;
  width: 50px;
  flex-shrink: 0;
}

.marker i {
  margin: auto;
  font-size: 1.2rem;
}

.searchInput {
  border: 1px solid #f2f2f2;
  padding: 0 0 0 15px;
  font-size: 1.1rem;
  font-weight: bold;
  width: 230px;
}

.searchInput::placeholder {
  color: #c2c2c2;
}

.searchButton {
  width: 130px;
  background-color: #0065fc;
  border: none;
  padding: 0;
  border-radius: 0 15px 15px 0;
  color: #fff;
  font-weight: bold;
  font-size: 1.1rem;
  cursor: pointer;
  flex-shrink: 0;
}

.searchButton i {
  display: none;
}

/* FILTERS */

.textFilter {
  align-self: center;
}

.filters {
  display: flex;
  flex-wrap: wrap;
  font-weight: bold;
  font-size: 1.1rem;
  margin-bottom: 30px;
}

.filter {
  display: flex;
  align-items: center;
  height: 46px;
  border: 2px solid #f2f2f2;
  border-left: none;
  margin-left: 20px;
  padding-right: 20px;
  border-radius: 25px;
}

.filter span {
  padding-left: 12px;
}

.filter:hover {
  cursor: pointer;
  border-color: #0065fc;
  color: #0065fc;
}

.filterList {
  display: flex;
  flex-wrap: wrap;
}

.iconFilter {
  display: flex;
  position: relative;
  right: 1px;
  width: 50px;
  height: 50px;
  border-radius: 50%;
  background-color: #deebff;
}

.iconFilter i {
  margin: auto;
  color: #0065fc;
}

.containerInfo {
  display: flex;
  align-items: center;
}
.iconInfo {
  display: flex;
  height: 20px;
  width: 20px;
  border: 1px solid #f2f2f2;
  border-radius: 1rem;
  margin-right: 10px;
}

.iconInfo i {
  margin: auto;
  font-size: 0.9rem;
  color: #0065fc;
}

/* HOTELS */

.containerHotels {
  display: flex;
}

.hotels,
.popular {
  background-color: #f2f2f2;
  border-radius: 20px;
  padding: 40px;
}

.hotels {
  flex: 2;
}

.hotels > h2 {
  margin: 0;
}

.hotelsTab {
  display: grid;
  grid-template: repeat(2, 1fr) / repeat(3, 1fr);
  gap: 30px;
  margin: 30px 0 50px;
}

.hotelContainer {
  display: grid;
  height: 220px;
  grid-template-rows: 1fr 40%;
  box-sizing: border-box;
  border: 5px solid #fff;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 0 7px #c1c1c1;
}

.hotelContainer img {
  width: 100%;
  height: 126px;
  object-fit: cover;
}

.hotelDescription {
  display: flex;
  flex-direction: column;
  justify-content: space-around;
  background-color: #fff;
  padding: 5px 10px;
}

.hotelDescription p {
  margin: 0;
}

.hotelRate {
  word-spacing: -1ch;
}

.fa-star {
  font-size: 0.8rem;
  letter-spacing: 2px;
}

.blueStar {
  color: #0065fc;
}

.greyStar {
  color: #f2f2f2;
}

.showMore {
  font-weight: bold;
  font-size: 1.2rem;
}

/* POPULAR */

.popular {
  flex: 1;
  margin-left: 3%;
}

.popularIcon {
  display: flex;
  justify-content: space-between;
  align-items: baseline;
}

.popularIcon h2 {
  margin-top: 0;
  margin-bottom: 25px;
}

.popularIcon i {
  font-size: 1.5rem;
}

.popularContainer {
  display: flex;
  height: 145px;
  border: 5px solid #fff;
  border-radius: 15px;
  margin-bottom: 30px;
  box-shadow: 0 0 7px #c1c1c1;
  box-sizing: border-box;
  overflow: hidden;
}

.popularContainer img {
  width: 40%;
  height: 100%;
  object-fit: cover;
}

.popularDescription {
  display: flex;
  flex: 1;
  background-color: #fff;
  flex-direction: column;
  justify-content: space-between;
  padding: 10px;
}

.hotelName {
  margin: 0;
  font-size: 1.1rem;
}

.popularDescription .hotelName + p {
  margin-top: 8px;
  margin-bottom: 0;
}

/* ACTIVITIES */

.activities {
  margin: 30px 0px 30px 0px;
}

.activitiesTab {
  display: grid;
  grid-template: repeat(12, 1fr) / repeat(4, 1fr);
  gap: 37.5px;
  height: 450px;
  grid-auto-flow: column;
  margin-top: 20px;
}

.longImg {
  grid-row-end: span 13;
}

.mediumImg {
  grid-row-end: span 7;
}

.smallImg {
  grid-row-end: span 6;
}

.activityContainer {
  display: grid;
  grid-template-rows: 1fr 50px;
  height: 100%;
  box-sizing: border-box;
  border-radius: 15px;
  overflow: hidden;
  box-shadow: 0 0 7px #c1c1c1;
}

.activityContainer img {
  width: 100%;
  object-fit: cover;
  height: 100%;
}

.activityDescription {
  align-self: center;
  background-color: #fff;
  padding-left: 10px;
  font-size: 1.1rem;
  font-weight: bold;
}

/* FOOTER */

footer {
  padding: 40px 50px 50px;
  background-color: #f2f2f2;
}

footer div {
  flex: 1;
}

footer li {
  margin-bottom: 15px;
  margin-top: 10px;
}

footer a:hover {
  font-weight: bold;
  color: #0065fc;
}

@media only screen and (max-width: 1280px) {
  .hotels {
    flex: 1.5;
  }

  .hotelsTab {
    grid-template: repeat(3, 1fr) / repeat(2, 1fr);
    margin: 30px 0;
  }

  .activityDescription {
    font-size: 1rem;
  }
}

/* TABLET */
@media only screen and (max-width: 1024px) {
  /* SEARCH */
  .filters {
    flex-direction: column;
  }

  .textFilter {
    align-self: auto;
    margin-bottom: 15px;
  }

  .filter {
    margin: 0 1rem 1rem 0;
  }

  /* POPULAR */

  .popular {
    margin: 0 0 20px;
  }

  .popularContainer {
    height: 180px;
  }

  .popularDescription .hotelName {
    font-size: 1.4rem;
  }

  .popularDescription p {
    font-size: 1.2rem;
  }

  .popularDescription .fa-star {
    font-size: 1rem;
  }

  /* HOTELS */

  .hotels {
    order: 2;
  }

  .containerHotels {
    flex-direction: column;
  }

  /* ACTIVITIES */

  .activitiesTab {
    height: auto;
  }

  .activityContainer {
    height: 190px;
  }

  .longImg,
  .smallImg,
  .mediumImg {
    grid-row-end: span 4;
    grid-column-end: span 2;
  }

  .activityDescription {
    font-size: 1.1rem;
  }

  /* FOOTER */

  footer div {
    padding: 10px;
  }
}

/* MOBILE */
@media only screen and (max-width: 600px) {
  #main {
    margin: 0;
  }

  h2 {
    font-size: 1.4rem;
  }

  /* HEADER */

  header {
    margin: 0;
    flex-direction: column;
  }

  .logo {
    margin-left: 20px;
  }

  .signUp {
    align-self: flex-end;
    padding: 0;
    margin-right: 20px;
    position: relative;
    bottom: 30px;
  }

  nav {
    order: 3;
  }

  nav ul {
    width: 100%;
  }

  nav li {
    width: 50%;
    text-align: center;
    padding: 20px 0;
    border-bottom: 3px solid #f2f2f2;
  }

  nav li a {
    padding: inherit;
  }

  nav li a:hover {
    border-top: none;
  }

  nav li:hover {
    border-bottom-color: #0065fc;
  }

  /* SEARCH */

  .search {
    margin: 30px 20px;
  }

  .searchInput {
    flex: 1;
  }

  .searchBar {
    margin: 35px 0 30px;
  }

  .searchButton {
    position: relative;
    width: 50px;
    border-radius: 15px;
    left: -20px;
  }

  .searchButton span {
    display: none;
  }

  .searchButton i {
    display: inline-block;
  }

  .filters {
    margin-bottom: 12px;
  }

  /* POPULAR */

  .popular {
    border-radius: 0;
    padding: 40px 20px 30px;
    margin-bottom: 40px;
  }

  .popularContainer {
    height: 145px;
    margin-bottom: 10px;
  }

  .popularIcon i {
    font-size: 1.4rem;
  }

  .hotelName {
    font-size: 1rem;
  }

  .popularDescription p {
    font-size: 0.9rem;
  }

  .popularDescription {
    padding: 15px 10px 10px 20px;
  }

  .fa-star {
    font-size: 0.8rem;
    letter-spacing: 1px;
  }

  /* HOTELS */

  .hotelContainer {
    height: 200px;
  }

  .hotels {
    padding: 0 20px;
    background-color: initial;
  }

  .hotelsTab {
    grid-template: repeat(6, 1fr) / 1fr;
    gap: 15px;
  }

  .hotelContainer img {
    height: 116px;
  }

  .hotelDescription p {
    font-size: 0.9rem;
  }

  /* ACTIVITIES */

  .activities {
    margin: 55px 20px 45px;
  }

  .activitiesTab {
    grid-template: repeat(6, 1fr) / 1fr;
    grid-auto-flow: initial;
    gap: 24px;
  }

  .longImg,
  .smallImg,
  .mediumImg {
    grid-row-end: span 1;
    grid-column-end: span 1;
  }

  /* FOOTER */

  footer {
    flex-direction: column;
    padding: 45px 30px;
  }

  footer div {
    padding: 0;
  }
}
